org.apache.poi.hssf.usermodel

## Class HSSFDataValidationHelper

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFDataValidationHelper

- All Implemented Interfaces:
    DataValidationHelper

      public class HSSFDataValidationHelper
      extends java.lang.Object
      implements DataValidationHelper

  Helper for working with Data Validation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFDataValidationHelper(HSSFSheet sheet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataValidationConstraint` | `createCustomConstraint(java.lang.String formula)`
    `DataValidationConstraint` | `createDateConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2, java.lang.String dateFormat)`
    `DataValidationConstraint` | `createDecimalConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
    `DataValidationConstraint` | `createExplicitListConstraint(java.lang.String[] listOfValues)`
    `DataValidationConstraint` | `createFormulaListConstraint(java.lang.String listFormula)`
    `DataValidationConstraint` | `createIntegerConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
    `DataValidationConstraint` | `createNumericConstraint(int validationType, int operatorType, java.lang.String formula1, java.lang.String formula2)`
    `DataValidationConstraint` | `createTextLengthConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
    `DataValidationConstraint` | `createTimeConstraint(int operatorType, java.lang.String formula1, java.lang.String formula2)`
    `DataValidation` | `createValidation(DataValidationConstraint constraint, CellRangeAddressList cellRangeAddressList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFDataValidationHelper

          public HSSFDataValidationHelper(HSSFSheet sheet)

  - ### Method Detail

    - #### createDateConstraint

          public DataValidationConstraint createDateConstraint(int operatorType,
                                                               java.lang.String formula1,
                                                               java.lang.String formula2,
                                                               java.lang.String dateFormat)

      Specified by:
        `createDateConstraint` in interface `DataValidationHelper`

    - #### createExplicitListConstraint

          public DataValidationConstraint createExplicitListConstraint(java.lang.String[] listOfValues)

      Specified by:
        `createExplicitListConstraint` in interface `DataValidationHelper`

    - #### createFormulaListConstraint

          public DataValidationConstraint createFormulaListConstraint(java.lang.String listFormula)

      Specified by:
        `createFormulaListConstraint` in interface `DataValidationHelper`

    - #### createNumericConstraint

          public DataValidationConstraint createNumericConstraint(int validationType,
                                                                  int operatorType,
                                                                  java.lang.String formula1,
                                                                  java.lang.String formula2)

      Specified by:
        `createNumericConstraint` in interface `DataValidationHelper`

    - #### createIntegerConstraint

          public DataValidationConstraint createIntegerConstraint(int operatorType,
                                                                  java.lang.String formula1,
                                                                  java.lang.String formula2)

      Specified by:
        `createIntegerConstraint` in interface `DataValidationHelper`

    - #### createDecimalConstraint

          public DataValidationConstraint createDecimalConstraint(int operatorType,
                                                                  java.lang.String formula1,
                                                                  java.lang.String formula2)

      Specified by:
        `createDecimalConstraint` in interface `DataValidationHelper`

    - #### createTextLengthConstraint

          public DataValidationConstraint createTextLengthConstraint(int operatorType,
                                                                     java.lang.String formula1,
                                                                     java.lang.String formula2)

      Specified by:
        `createTextLengthConstraint` in interface `DataValidationHelper`

    - #### createTimeConstraint

          public DataValidationConstraint createTimeConstraint(int operatorType,
                                                               java.lang.String formula1,
                                                               java.lang.String formula2)

      Specified by:
        `createTimeConstraint` in interface `DataValidationHelper`

    - #### createCustomConstraint

          public DataValidationConstraint createCustomConstraint(java.lang.String formula)

      Specified by:
        `createCustomConstraint` in interface `DataValidationHelper`

    - #### createValidation

          public DataValidation createValidation(DataValidationConstraint constraint,
                                                 CellRangeAddressList cellRangeAddressList)

      Specified by:
        `createValidation` in interface `DataValidationHelper`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.